/* gui.h  */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef GUI_H
#define GUI_h


#include <stdio.h>
#include "globals.h"



/*** make_gui *********************************************************
   Setup all the Graphical User Interface stuff.
**********************************************************************/
extern int make_gui();



/*** set_contour_range ************************************************
   Set the range of values for the contour slider.
   Input:  min - the minimum value.
           max - the maximum value.
           val - the current value to use.
   Output:  none.
**********************************************************************/
extern void set_contour_range();
/*
float min, max, val;
*/



/*** get_user_input ***************************************************
   Monitor the mouse for clicks, drags, etc.
   Input:  none.
   Output:  none.
   Side-effects:  The CTM and other global viewing parameters will
                  be updated.
**********************************************************************/
extern void get_user_input();


#endif
